Summary:	D-Bus service for applications to request thumbnails
Summary(pl.UTF-8):	Serwis D-Bus do udostępniania miniaturek
Name:		tumbler
Version:	0.2.7
Release:	1
License:	GPL v2
Group:		Applications/Graphics
Source0:	http://archive.xfce.org/src/xfce/tumbler/0.2/%{name}-%{version}.tar.bz2
# Source0-md5:	a59b2a545c9c128dbd2b960a7779dec0
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	curl-devel >= 7.25
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	ffmpegthumbnailer-devel >= 2.0.0
BuildRequires:	freetype-devel >= 2
BuildRequires:	gdk-pixbuf2-devel >= 2.14
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgsf-devel >= 1.14.9
BuildRequires:	libjpeg-devel
BuildRequires:	libopenraw-gnome-devel >= 0.1.0
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libtool >= 2:2.4
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.12.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus >= 1.0.0
Requires:	gdk-pixbuf2 >= 2.14
Requires:	ffmpegthumbnailer >= 2.0.0
Requires:	libgsf >= 1.14.9
Requires:	libopenraw-gnome >= 0.1.0
Requires:	poppler-glib >= 0.12.0
Provides:	dbus(org.xfce.Tumbler.Cache1.service)
Provides:	dbus(org.xfce.Tumbler.Manager1.service)
Provides:	dbus(org.xfce.Tumbler.Thumbnailer1.service)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-Bus service for applications to request thumbnails.

%description -l pl.UTF-8
Serwis D-Bus do udostępniania miniaturek.

%package libs
Summary:	Tumbler shared library
Summary(pl.UTF-8):	Biblioteka tumbler
Group:		Libraries

%description libs
Tumbler shared library.

%description libs -l pl.UTF-8
Biblioteka tumbler.

%package devel
Summary:	Header files for tumbler library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tumbler
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for tumbler library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tumbler.

%package apidocs
Summary:	tumbler API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki timpler
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
tumpler API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki tumbler.

%prep
%setup -q

%build
install -d m4
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-debug=minimum \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/tumbler-1/plugins/{cache,}/*.la

# unify
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%dir /etc/xdg/tumbler
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/tumbler/tumbler.rc
%dir %{_libdir}/tumbler-1
%dir %{_libdir}/tumbler-1/plugins
%dir %{_libdir}/tumbler-1/plugins/cache
%attr(755,root,root) %{_libdir}/tumbler-1/tumblerd
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-cover-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-desktop-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%attr(755,root,root) %{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/org.xfce.Tumbler.*.service

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtumbler-1.so.0.0.0
%attr(755,root,root) %ghost %{_libdir}/libtumbler-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtumbler-1.so
%{_includedir}/tumbler-1
%{_pkgconfigdir}/tumbler-1.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/tumbler
%changelog
* Sun Aug 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tumbler.git;a=log;h=master

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 5920d7b
- up to 0.2.7

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> bea73b8
- removed obsolete patch

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 624ad6a
- up to 0.2.1

* Mon Dec 12 2016 Jakub Bogusz <qboosh@pld-linux.org> f2770ee
- added libopenraw patch (adjust for libopenraw 0.1.x)
- release 4

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> cfa6848
- rebuild auto* for as-needed to work (to avoid propagating dozens of curl dependencies)
- updated dependencies
- release 3

* Tue Mar 29 2016 Jan Rękorajski <baggins@pld-linux.org> b848e2a
- release 2 (by relup.sh)

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> b96ac05
- up to 0.1.31

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5592b21
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> f259223
- libffi rebuild
- release 3 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a4de2ec
- release 2 (by relup.sh)

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 1681e66
- up to 0.1.30

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 785a2f3
- noarch apidocs

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> c2d523c
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ed4343d
- release 4 (by relup.sh)

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> 8070054
- release 3 (by relup.sh)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> cb097b3
- release 2 (by relup.sh)

* Mon May 06 2013 Elan Ruusamäe <glen@delfi.ee> 25eb5f7
- up to 0.1.29

* Sun Apr 07 2013 Elan Ruusamäe <glen@delfi.ee> a85a736
- BR: gstreamer-plugins-base-devel, gettext-devel, intltool, pkgconfig

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> a8d29a3
- up to 0.1.27

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f89a21f
- release 4 (by relup.sh)

